# fire raycast as the player to find the entity it's looking at
execute as @s at @s anchored eyes positioned ^ ^ ^ anchored feet run function swap_item:raycast/start_ray

# enable the scoreboard after use
scoreboard players enable @a swapitem.entity.legs

# if the raycast finds an entity, proceeds with the first step
execute if predicate swap_item:leg_armor if entity @n[tag=swap.target] run function swap_item:swap/entity/leg/swap

# send an error message if the target slot is invalid
execute unless predicate swap_item:leg_armor if entity @n[tag=swap.target] run tellraw @s {"text":"You can't swap these two items.","color":"dark_red","italic":false}

# send an error message if no entity is found
execute unless entity @n[tag=swap.target] run tellraw @s {"text":"Look an entity to run this command.","color":"dark_red","italic":false}

# remove the tag used to indentify the looked entity
tag @n[tag=swap.target] remove swap.target

# set the triggered scoreboard default value (0)
scoreboard players set @s swapitem.entity.legs 0
